Subprojects API Reference
API Reference/Subprojects

Subprojects

For authentication instructions, see API overview.

get

List all subprojects

Returns a list of subprojects. The subprojects are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/subprojects

Response

No response schema
post

Create subproject

Create subproject. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • subProjectNamestring
  • subProjectTypestring
  • addressstring
  • citystring
  • statestring
  • countrystring
  • zipstring
  • rentalOwnersarray
  • bankInfostring
  • managerstring
  • projectIdstring
  • subProjectImageUrlstring
  • subProjectLocationstring
  • subProjectNameArstring
  • subProjectDescstring
  • subProjectDescArstring
  • pricenumber
  • startingPricenumber
  • maxPricenumber

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/subprojects \
-d 'subProjectName="test name"' \
-d 'subProjectType="test type"' \
-d 'address="address test"' \
-d 'city="City test"' \
-d 'state="State test"' \
-d 'country="country test"' \
-d 'zip="838dnc"' \
-d 'rentalOwners="array"' \
-d 'bankInfo="6318b76cd73a144774038653"' \
-d 'manager="test manager"' \
-d 'projectId="635e57e605b01336886aa8ed"' \
-d 'subProjectImageUrl="image"' \
-d 'subProjectLocation="location"' \
-d 'subProjectNameAr="name ar"' \
-d 'subProjectDesc="Desc"' \
-d 'subProjectDescAr="Desc AR"' \
-d 'price=12345' \
-d 'startingPrice=253' \
-d 'maxPrice=53485'

Response

No response schema
get

Retrieve subproject

Returns a single subprojec, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the subproject

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/subprojects/:id

Response

No response schema
put

Update subproject

Path parameters

  • idstring

    ID of the subproject

Request body

  • subProjectNamestring
  • subProjectTypestring
  • addressstring
  • citystring
  • statestring
  • countrystring
  • zipstring
  • rentalOwnersarray
  • bankInfostring
  • managerstring
  • projectIdstring
  • subProjectImageUrlstring
  • subProjectLocationstring
  • subProjectNameArstring
  • subProjectDescstring
  • subProjectDescArstring
  • pricenumber
  • startingPricenumber
  • maxPricenumber

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/subprojects/:id \
-d 'subProjectName="test name"' \
-d 'subProjectType="test type"' \
-d 'address="address test"' \
-d 'city="City test"' \
-d 'state="State test"' \
-d 'country="country test"' \
-d 'zip="838dnc"' \
-d 'rentalOwners="array"' \
-d 'bankInfo="6318b76cd73a144774038653"' \
-d 'manager="test manager"' \
-d 'projectId="635e57e605b01336886aa8ed"' \
-d 'subProjectImageUrl="image"' \
-d 'subProjectLocation="location"' \
-d 'subProjectNameAr="name ar"' \
-d 'subProjectDesc="Desc"' \
-d 'subProjectDescAr="Desc AR"' \
-d 'price=12345' \
-d 'startingPrice=253' \
-d 'maxPrice=53485'

Response

No response schema
patch

Update subproject soft

Update subproject soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the subproject

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/subprojects/:id

Response

No response schema
delete

Delete subproject

Path parameters

  • idstring

    ID of the subproject

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/subprojects/:id

Response

No response schema